/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.v2v;

import org.fortiss.af3.component.model.OutputPort;
import org.fortiss.af3.platform.raspberry.generator.framework.IWriteableGeneratorExtension;
import org.fortiss.af3.platform.raspberry.model.v2v.V2VPrecedingUIDOuput;

/**
 * @author duenhuber
 *         Executable for v2v output {@link V2VPrecedingUIDOuput}.
 */
public class V2VPrecedingUIDOutputGeneratorExtension extends
		V2VGeneratorExtensionBase<V2VPrecedingUIDOuput> implements IWriteableGeneratorExtension {
	/** Constructor. */
	public V2VPrecedingUIDOutputGeneratorExtension(V2VPrecedingUIDOuput modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public String getWriteCode(OutputPort logicalSignal, String value) {
		// TODO Auto-generated method stub
		return "af3_v2v_set_preceding_vehicle_of_interest_uid(" + value + ");\n";
	}

	/** {@inheritDoc} */
	@Override
	public String getNoValWriteCode(OutputPort logicalSignal) {
		// TODO Auto-generated method stub
		return null;
	}

}
